

player = {speed = 300}
function player.create(x, y)
	table.insert(player, {x = x, y = y, sprite = playerIMG})
end

function player.update(dt)
	for i,v in ipairs(player) do
		--reset input to 0 if nothing is pressed
		local input = {x = 0, y = 0}
		--Normalized input
		if love.keyboard.isDown("d") then
			input.x = input.x + 1
		end
		if love.keyboard.isDown("a") then
			input.x = input.x - 1
		end
		if love.keyboard.isDown("s") then
			input.y = input.y + 1
		end
		if love.keyboard.isDown("w") then
			input.y = input.y - 1
		end

		--normalizes input by multiplying input with speed and position
		v.x = v.x + input.x * player.speed * dt
		v.y = v.y + input.y * player.speed * dt
	end
end

function player.draw()
	for i,v in ipairs(player) do
		love.graphics.setColor(1, 1, 1)
		love.graphics.draw(v.sprite, v.x, v.y)
	end
end